com.mysql.jdbc

## Class FailoverConnectionProxy.FailoverInvocationHandler

- java.lang.Object
- - com.mysql.jdbc.LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler
  - - com.mysql.jdbc.FailoverConnectionProxy.FailoverInvocationHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing class:
  FailoverConnectionProxy

     class FailoverConnectionProxy.FailoverInvocationHandler
    extends LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler

### Field Summary

### Fields inherited from class com.mysql.jdbc.LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler

`invokeOn`

### Constructor Summary

Constructors
Constructor and Description
`FailoverConnectionProxy.FailoverInvocationHandler(java.lang.Object toInvokeOn)`

### Method Summary

Methods
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailoverConnectionProxy.FailoverInvocationHandler

    public FailoverConnectionProxy.FailoverInvocationHandler(java.lang.Object toInvokeOn)

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                          java.lang.reflect.Method method,
                          java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Overrides:
  `invoke` in class `LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler`
Throws:
  `java.lang.Throwable`